# Interface ThroughputInterceptorMBean

All Known Implementing Classes:
  `ThroughputInterceptor`

public interface ThroughputInterceptorMBean

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getInterval()`
  `double`
  `getLastCnt()`
  `double`
  `getMbAppTx()`
  `double`
  `getMbRx()`
  `double`
  `getMbTx()`
  `AtomicLong`
  `getMsgRxCnt()`
  `AtomicLong`
  `getMsgTxCnt()`
  `AtomicLong`
  `getMsgTxErr()`
  `int`
  `getOptionFlag()`
  `long`
  `getRxStart()`
  `double`
  `getTimeTx()`
  `long`
  `getTxStart()`
  `void`
  `report(double timeTx)`
  `void`
  `setInterval(int interval)`

- ## Method Details

  - ### getOptionFlag

    int getOptionFlag()

  - ### getInterval

    int getInterval()

  - ### setInterval

    void setInterval(int interval)

  - ### getLastCnt

    double getLastCnt()

  - ### getMbAppTx

    double getMbAppTx()

  - ### getMbRx

    double getMbRx()

  - ### getMbTx

    double getMbTx()

  - ### getMsgRxCnt

    AtomicLong getMsgRxCnt()

  - ### getMsgTxCnt

    AtomicLong getMsgTxCnt()

  - ### getMsgTxErr

    AtomicLong getMsgTxErr()

  - ### getRxStart

    long getRxStart()

  - ### getTimeTx

    double getTimeTx()

  - ### getTxStart

    long getTxStart()

  - ### report

    void report(double timeTx)